Prepare and check storage layer for yuewiktionary
Closed, ResolvedPublic

Description

The new wiki will be public.

Urbanecm created this task.Sep 28 2018, 2:17 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 28 2018, 2:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm moved this task from Backlog to Created on the User-Urbanecm board.Sep 28 2018, 2:32 PM
Banyek added a subscriber: Banyek.Sep 28 2018, 2:35 PM

Please ping me (or anybody in the persistance team) when the wiki is created, and I can do the sanitzation

Banyek triaged this task as Normal priority.Sep 28 2018, 2:39 PM
Banyek moved this task from Backlog to On hold on the User-Banyek board.Sep 28 2018, 2:42 PM
Banyek moved this task from On hold to Wait on external on the User-Banyek board.
Marostegui changed the task status from Open to Stalled.
Marostegui added a subscriber: Marostegui.

We are doing some maintenance on s3, moving wikis around - please ask DBA before creating this wikis (if they will be created before the switch back to eqiad - which is scheduled for 10th Oct)
Assigning it to me, to indicate it is blocked on me/DBA

Marostegui changed the task status from Stalled to Open.Oct 11 2018, 6:10 AM
Marostegui removed Marostegui as the assignee of this task.

This can now proceed whenver you guys want.

Banyek claimed this task.Thu, Nov 15, 9:18 AM

doing sanitization

Mentioned in SAL (#wikimedia-operations) [2018-11-15T10:07:42Z] <banyek> sanitizing db2094 ( T205714 T207584 T205713 T206916 )

Mentioned in SAL (#wikimedia-operations) [2018-11-15T10:15:31Z] <banyek> sanitizing db1124 ( T205714 T207584 T205713 T206916 )

Banyek moved this task from In progress to Done on the DBA board.Thu, Nov 15, 10:47 AM
Banyek removed Banyek as the assignee of this task.Thu, Nov 15, 11:09 AM
Banyek added subscribers: Bstorm, bd808, GTirloni.

ready for the views creation

@Banyek did GRANT this wiki into the labsdb user role grants? If not, the views will fail to be created

I GRANT'ed:

MariaDB [(none)]> set session sql_log_bin=0; create database yuewiktionary_p;
Query OK, 0 rows affected (0.01 sec)

Query OK, 1 row affected (0.00 sec)

MariaDB [(none)]> set session sql_log_bin=0; GRANT SELECT, SHOW VIEW ON `yuewiktionary\_p`.* TO 'labsdbuser';
Query OK, 0 rows affected (0.00 sec)

Query OK, 0 rows affected (0.06 sec)

@Bstorm you can work with this

Bstorm closed this task as Resolved.Mon, Nov 26, 11:37 PM
Bstorm claimed this task.

views, indexes, dns, etc. all set. Tested from toolforge.